Subject: Re: bug#39863: Guile 1.8, apparent segfault on some Macs running Mojave

From: Marnen Laibow-Koser <[email-masked]>
Date: Sat, 7 Mar 2020 16:27:27 -0500

On Sat, Mar 7, 2020 at 3:36 PM Ludovic Courtès <[email-masked]> wrote:

> Hi,
>
> Marnen Laibow-Koser <[email-masked]> skribis:
>
> > On Sat, Mar 7, 2020 at 10:12 AM Ludovic Courtès <[email-masked]> wrote:
>
> [...]
>
> >> Could you provide a backtrace of the segfault?
> >>
> >
> > I’m not sure how I would be able to get any more detailed debugging info
> > than the logs that I posted in the GitLab issue.  Have you looked at
> > those?  Alternatively, is there an environment variable or anything that
> > would get Guile to provide more information when it does segfault?
>
> I would just run GDB on the dumped core, and run “bt” there (apologies
> if that info is already in the GitLab issue, I didn’t see it.)

It isn’t.  I rarely have to do this sort of debugging, so I didn’t really
know how to do it. Let me see what I can do, though I don’t know if there
was an actual coredump.

>
> >> Is it a recent regression of your LilyPond package for macOS?
> >
> >
> > I’m afraid that question doesn’t have much meaning either: this packaging
> > is newly developed, so there’s nothing to regress *from*.
>
> Ah OK.  Then perhaps you could look at how Homebrew, MacPorts &
> co. package LilyPond in search of inspiration (speaking with my distro
> hacker hat on :-))?

I did (you can see the lilypond-dev list archives if you’re really
interested in the gory details).  This packaging is the result of the
process of lots of research on how to actually make it all work for 64-bit
Mac OS—and it does work, except, consistently, for one particular user.

> Thanks,
> Ludo’.

Best,
-- 
Marnen Laibow-Koser [email-masked] http://www.marnen.org Sent from Gmail
Mobile